package es.guia.beans;

import java.util.Vector;

import android.util.Log;

public class POI {
	private String id;
	private String nombre;
	private String longitud;
	private String latitud;
	private String tipoPOI;
	private String imagen;
	private String desc_breve;
	private String desc_larga;
	private Vector<String> imagenesGaleria;
	private String precio;
	private String horario;
	
	public POI(){
		imagenesGaleria=new Vector<String>();
	}
	
	public POI(String id, String nombre, String longitud, String latitud, String tipoPOI){
		this.id=id;
		this.nombre=nombre;
		this.longitud=longitud;
		this.latitud=latitud;
		this.tipoPOI=tipoPOI;
		imagenesGaleria=new Vector<String>();
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getLongitud() {
		return longitud;
	}
	public void setLongitud(String longitud) {
		this.longitud = longitud;
	}
	public String getLatitud() {
		return latitud;
	}
	public void setLatitud(String latitud) {
		this.latitud = latitud;
	}
	public String getTipoPOI() {
		return tipoPOI;
	}
	public void setTipoPOI(String tipoPOI) {
		this.tipoPOI = tipoPOI;
	}

	public String getDesc_breve() {
		return desc_breve;
	}

	public void setDesc_breve(String desc_breve) {
		this.desc_breve = desc_breve;
	}

	public String getImagen() {
		return imagen;
	}

	public void setImagen(String imagen) {
		this.imagen = imagen;
	}

	public String getDesc_larga() {
		return desc_larga;
	}

	public void setDesc_larga(String desc_larga) {
		this.desc_larga = desc_larga;
	}
	
	public String toString(){
		StringBuffer b=new StringBuffer();
		
		b.append("&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&");
		b.append("\nid: "+id);
		b.append("\nnombre: "+nombre);
		b.append("\nlatitud: "+latitud);
		b.append("\nimagen: "+imagen);
		b.append("\nlongitud: "+longitud);
		b.append("\ndesc_breve: "+desc_breve);
		b.append("\ndesc_larga: "+desc_larga);
		b.append("\nprecio: "+precio);
		b.append("\nhorario: "+horario);
		
		Log.d("Guia","---> NombrePOI: "+nombre+ "Imagenes en Galeria: "+imagenesGaleria.size());
		b.append("\n======== galeria de imagenes ("+imagenesGaleria.size()+") =========: ");
		
		for(int i=0;i<imagenesGaleria.size();i++){
			b.append("\n"+imagenesGaleria.elementAt(i));
		}
		
		b.append("\n======== Fin de galeria de imagenes =========: ");
		b.append("&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&");
		
		return b.toString();
		
	}
	
	public Vector<String> getImagenesGaleria(){
		return this.imagenesGaleria;
	}
	
	public void setImagenesGaleria(Vector<String> imagenesGaleria){
		this.imagenesGaleria=imagenesGaleria;
	}
	
	public void addImagenGaleria(String imagen){
		Log.d("Guia","Aadiendo imagen: "+imagen+" al punto: "+nombre);
		this.imagenesGaleria.add(imagen);
	}

	public String getPrecio() {
		return precio;
	}

	public void setPrecio(String precio) {
		this.precio = precio;
	}

	public String getHorario() {
		return horario;
	}

	public void setHorario(String horario) {
		this.horario = horario;
	}
	

}
